org.h2.command.dml

## Class MergeUsing.WhenMatched

- java.lang.Object
- - org.h2.command.dml.MergeUsing.When
  - - org.h2.command.dml.MergeUsing.WhenMatched

Enclosing class:
  MergeUsing

    public static final class MergeUsing.WhenMatched
    extends MergeUsing.When

### Constructor Summary

Constructors
Constructor and Description
`MergeUsing.WhenMatched(MergeUsing mergeUsing)`

### Method Summary

Methods
`Prepared` `getDeleteCommand()`
`Prepared` `getUpdateCommand()`
`void` `setDeleteCommand(Delete deleteCommand)`
`void` `setUpdateCommand(Update updateCommand)`

### Methods inherited from class org.h2.command.dml.MergeUsing.When

`setAndCondition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeUsing.WhenMatched

    public MergeUsing.WhenMatched(MergeUsing mergeUsing)

### Method Detail

#### getUpdateCommand

    public Prepared getUpdateCommand()

#### setUpdateCommand

    public void setUpdateCommand(Update updateCommand)

#### getDeleteCommand

    public Prepared getDeleteCommand()

#### setDeleteCommand

    public void setDeleteCommand(Delete deleteCommand)